Subject: Re: [PATCH] prepare deprecation of git-revert

From: Pierre Habouzit <[email-masked]>
Date: Sun, 02 Nov 2008 10:30:30 +0100

On Sun, Nov 02, 2008 at 04:41:59AM +0000, Jeff King wrote:
> On Fri, Oct 31, 2008 at 04:55:27PM +0100, Pierre Habouzit wrote:
> 
> >  I've not kept the auto-edit feature of git-revert for the git-cherry-pick -R
> >  case as I don't believe it makes a lot of sense. But if people are unhappy
> >  with that, I can easily "fix" it.
> 
> I disagree. I write a new commit message for every revert I do.
> 
> When you cherry-pick, you are pulling a good commit from somewhere else.
> So its commit message should suffice to explain why you are making the
> change (and infrequently, you might want to give more context or say
> "and here is where this comes from").
> 
> But when you revert, you are saying "this other commit was bad, so let's
> reverse it." So you can look at the other commit to see what it did, but
> you still don't know _why_ it was bad. A revert should always give
> information about what you know _now_ that you didn't know when you
> made the commit originally.

Indeed that makes sense, I'll update the patch then, and be lighter on
the deprecation side since it seems I misunderstood what people agreed
on.

-- 
·O·  Pierre Habouzit
··O                                                [email-masked]
OOO                                                http://www.madism.org